summaryrefslogtreecommitdiff
path: root/tests/scripts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/scripts.sh')
-rwxr-xr-xtests/scripts.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/scripts.sh b/tests/scripts.sh
index 5c3b6fc3d02c..dda57e435059 100755
--- a/tests/scripts.sh
+++ b/tests/scripts.sh
@@ -31,6 +31,8 @@ script="$0"
testdir=$(dirname "${script}")
+. "$testdir/../scripts/functions.sh"
+
# Just print the usage and exit with an error. This can receive a message to
# print.
# @param 1 A message to print.
@@ -50,11 +52,12 @@ pll=1
while getopts "n" opt; do
case "$opt" in
- n) pll=0 ; shift ; set -e ;;
+ n) pll=0 ; set -e ;;
?) usage "Invalid option: $opt" ;;
esac
done
+shift $(($OPTIND - 1))
# Command-line processing.
if [ "$#" -eq 0 ]; then